global outb

; outb - Writes a byte to the given I/O port
; Parameters: AL contains the byte to write, DX contains the port address
outb:
    mov dx, [esp + 4] ; Load the I/O port address into DX
    mov al, [esp + 8] ; Load the value into AL
    out dx, al        ; Write the value to the port
    ret
